import { h } from 'preact';
import { Columns } from '../columns.js';
export default {
    parameters: {
        fixedWidth: true
    },
    title: 'Layout/Columns'
};
export const Default = function () {
    const style = { backgroundColor: 'var(--figma-color-bg-brand-tertiary)' };
    return (h(Columns, null,
        h("div", { style: style }, "foo"),
        h("div", { style: style }, "bar"),
        h("div", { style: style }, "baz")));
};
export const ExtraSmallSpace = function () {
    const style = { backgroundColor: 'var(--figma-color-bg-brand-tertiary)' };
    return (h(Columns, { space: "extraSmall" },
        h("div", { style: style }, "foo"),
        h("div", { style: style }, "bar"),
        h("div", { style: style }, "baz")));
};
export const SmallSpace = function () {
    const style = { backgroundColor: 'var(--figma-color-bg-brand-tertiary)' };
    return (h(Columns, { space: "small" },
        h("div", { style: style }, "foo"),
        h("div", { style: style }, "bar"),
        h("div", { style: style }, "baz")));
};
export const MediumSpace = function () {
    const style = { backgroundColor: 'var(--figma-color-bg-brand-tertiary)' };
    return (h(Columns, { space: "medium" },
        h("div", { style: style }, "foo"),
        h("div", { style: style }, "bar"),
        h("div", { style: style }, "baz")));
};
export const LargeSpace = function () {
    const style = { backgroundColor: 'var(--figma-color-bg-brand-tertiary)' };
    return (h(Columns, { space: "large" },
        h("div", { style: style }, "foo"),
        h("div", { style: style }, "bar"),
        h("div", { style: style }, "baz")));
};
export const ExtraLargeSpace = function () {
    const style = { backgroundColor: 'var(--figma-color-bg-brand-tertiary)' };
    return (h(Columns, { space: "extraLarge" },
        h("div", { style: style }, "foo"),
        h("div", { style: style }, "bar"),
        h("div", { style: style }, "baz")));
};
//# sourceMappingURL=columns.stories.js.map